<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: kb_time.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('kb__time_8c_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">kb_time.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="kb__time_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * kb_time.c - KoreBot Library - Basic Time Function</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * $Id: kb_time.c,v 1.1 2004/07/29 10:51:55 cgaudin Exp $</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *--------------------------------------------------------------------</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * $Author: cgaudin $</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * $Revision: 1.1 $</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * $Date: 2004/07/29 10:51:55 $</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="khepera_8h.html">khepera.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="kb__time_8c.html#a97a9bf839ae78b58ced60e155362345d">   31</a></span>&#160;<span class="keyword">static</span> u_int32_t <a class="code" href="kb__time_8c.html#a97a9bf839ae78b58ced60e155362345d">ref_time</a> = 0;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">/*--------------------------------------------------------------------*/</span></div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="kb__time_8h.html#a1d96883ed49195c36ef5740dcce2f590">   40</a></span>&#160;<a class="code" href="kb__time_8h.html#a89a869b8afe504e5eb729a0ab1e1738f">kb_time_t</a> <a class="code" href="kb__time_8c.html#a1d96883ed49195c36ef5740dcce2f590">kb_getTime</a>(<span class="keywordtype">void</span>)</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;{</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> val;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <span class="keyword">struct </span>timeval tv;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  gettimeofday( &amp;tv , NULL );</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="comment">/* set the reference time */</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <span class="keywordflow">if</span> ( <a class="code" href="kb__time_8c.html#a97a9bf839ae78b58ced60e155362345d">ref_time</a> == 0 ) {</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="kb__time_8c.html#a97a9bf839ae78b58ced60e155362345d">ref_time</a> = (( tv.tv_sec * 1000 ) + ( tv.tv_usec / 1000 ));</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  }</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;  val  = ( tv.tv_sec * 1000 ) + ( tv.tv_usec / 1000 );</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  val -= <a class="code" href="kb__time_8c.html#a97a9bf839ae78b58ced60e155362345d">ref_time</a>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keywordflow">return</span> val;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;}</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div>
<div class="ttc" id="kb__time_8c_html_a97a9bf839ae78b58ced60e155362345d"><div class="ttname"><a href="kb__time_8c.html#a97a9bf839ae78b58ced60e155362345d">ref_time</a></div><div class="ttdeci">static u_int32_t ref_time</div><div class="ttdef"><b>Definition:</b> <a href="kb__time_8c_source.html#l00031">kb_time.c:31</a></div></div>
<div class="ttc" id="khepera_8h_html"><div class="ttname"><a href="khepera_8h.html">khepera.h</a></div></div>
<div class="ttc" id="kb__time_8c_html_a1d96883ed49195c36ef5740dcce2f590"><div class="ttname"><a href="kb__time_8c.html#a1d96883ed49195c36ef5740dcce2f590">kb_getTime</a></div><div class="ttdeci">kb_time_t kb_getTime(void)</div><div class="ttdef"><b>Definition:</b> <a href="kb__time_8c_source.html#l00040">kb_time.c:40</a></div></div>
<div class="ttc" id="kb__time_8h_html_a89a869b8afe504e5eb729a0ab1e1738f"><div class="ttname"><a href="kb__time_8h.html#a89a869b8afe504e5eb729a0ab1e1738f">kb_time_t</a></div><div class="ttdeci">u_int32_t kb_time_t</div><div class="ttdef"><b>Definition:</b> <a href="kb__time_8h_source.html#l00017">kb_time.h:17</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="kb__time_8c.html">kb_time.c</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:17 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
